
LABINVENT (InventIrap) - Evolution #1095
Etats de sortie en PDF
02/07/2013 10:46 am - Etienne Pallier

Status: Fermé Start date: 02/07/2013
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 2.00 hours
Target version: version 1.3 Spent time: 0.00 hour
Description

Liste a generer.

History
#1 - 01/13/2014 07:17 pm - Etienne Pallier

Utiliser TCPDF (et non pas FPDF qui n'est plus maintenu depuis 2011), toujours actif.

Utilisation avec cakephp décrite ici :
http://bakery.cakephp.org/articles/kalileo/2010/06/08/creating-pdf-files-with-cakephp-and-tcpdf

TCPDF :
http://www.tcpdf.org/index.php
http://sourceforge.net/projects/tcpdf/files

#2 - 06/02/2014 04:08 pm - Etienne Pallier

Aide :

effectivement, c'est bien dans le controleur que tu dois faire une modif (rien à faire dans la vue, à condition de bien conserver les méthodes
"admission" et "sortie" dans le controleur) :

cakephp/app/Controller/DocumentsController.php

si tu modifies le code, pourrais-tu laisser la version open office dans une fonction à part (toujours bon à garder) ?

ce que tu dois faire :

modifier la fonction inout()

toutes les infos dont tu as besoin sont dans le tableau $materiel0['Materiel']

par exemple :
- $materiel0['Materiel']['designation']
- $materiel0['Materiel']['numero_serie']
- ...

par contre, tu devras recréer entièrement la "structure" du document puisque la version actuelle open office utilise un template de départ.
Toi, avec fpdf, tu devras créer entièrement le document en mémoire.

De plus, pour créer ton pdf, tu ne pourras pas faire comme avec la solution open office
car tu crées tout en mémoire et ensuite tu écris le document à la volée (contrairement au document open office qui est déjà créé sur le disque et
modifié par des sed).
Il te faut donc reprendre le code qui se trouve dans MaterielsController, méthode export()

à partir de la ligne
"ini_set('max_execution_time', 600);"

C'est le code de génération de la liste des matériels (en CSV pour excel).

Je suppose que ça marchera aussi pour générer du pdf...

(Etienne)

#3 - 01/05/2015 04:46 pm - Elodie Bourrec
- Description updated

A revoir avec Nicole.

#4 - 01/09/2015 03:55 pm - Elodie Bourrec
- Status changed from Nouveau to Fermé
